import { CNode, CssRenderInstance, CRenderProps } from './types';
declare function getCountOfElement(el: HTMLStyleElement): number;
declare function setCountOfElement(el: HTMLStyleElement, count: number | null): void;
export { getCountOfElement, setCountOfElement };
export declare function unmount(intance: CssRenderInstance, node: CNode, target: HTMLStyleElement | string | number | undefined, count: boolean): void;
export declare function mount<T extends CRenderProps>(instance: CssRenderInstance, node: CNode, target: HTMLStyleElement | string | number | undefined, props: T, count: boolean): HTMLStyleElement;
