"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function removeElement(el) {
    /* istanbul ignore if */
    // eslint-disable-next-line @typescript-eslint/strict-boolean-expressions
    if (!el)
        return;
    const parentElement = el.parentElement;
    /* istanbul ignore else */
    // eslint-disable-next-line @typescript-eslint/strict-boolean-expressions
    if (parentElement)
        parentElement.removeChild(el);
}
exports.removeElement = removeElement;
function queryElement(id) {
    return document.querySelector(`style[cssr-id="${String(id)}"]`);
}
exports.queryElement = queryElement;
function createElement(id) {
    const el = document.createElement('style');
    el.setAttribute('cssr-id', String(id));
    return el;
}
exports.createElement = createElement;
